Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.util
Class AggregationVariableSet

    java.lang.Object
      kieker.tools.util.AggregationVariableSet

    public class AggregationVariableSet

extends Object

Since:
  1.10
Author:
  Tom Frotscher

Constructor Summary
`AggregationVariableSet()` Creates an instance of this class.

Method Summary
`List<NamedDoubleTimeSeriesPoint>` | `getAggregationList()`
`long` | `getFirstIntervalStart()`
`long` | `getFirstTimestampInCurrentInterval()`
`long` | `getLastTimestampInCurrentInterval()`
`void` | `setAggregationList(List<NamedDoubleTimeSeriesPoint> aggregationList)`
`void` | `setFirstIntervalStart(long firstIntervalStart)`
`void` | `setFirstTimestampInCurrentInterval(long firstTimestampInCurrentInterval)`
`void` | `setLastTimestampInCurrentInterval(long lastTimestampInCurrentInterval)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AggregationVariableSet

    public AggregationVariableSet()

  Creates an instance of this class. Initializes the variables needed for the aggregation.

Method Detail

### getFirstTimestampInCurrentInterval

    public long getFirstTimestampInCurrentInterval()

### getLastTimestampInCurrentInterval

    public long getLastTimestampInCurrentInterval()

### getFirstIntervalStart

    public long getFirstIntervalStart()

### setFirstTimestampInCurrentInterval

    public void setFirstTimestampInCurrentInterval(long firstTimestampInCurrentInterval)

### setLastTimestampInCurrentInterval

    public void setLastTimestampInCurrentInterval(long lastTimestampInCurrentInterval)

### setFirstIntervalStart

    public void setFirstIntervalStart(long firstIntervalStart)

### getAggregationList

    public List<NamedDoubleTimeSeriesPoint> getAggregationList()

### setAggregationList

    public void setAggregationList(List<NamedDoubleTimeSeriesPoint> aggregationList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net